Bug 70875 - Error: unpacking of archive failed on file xxx: cpio: Archive file not in header
Error: unpacking of archive failed on file xxx: cpio: Archive file not in header
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2002-08-06 08:51 EDT by Andras Porjesz
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-07 14:56:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to cpioStrCmp() in lib/fsm.c to handle lgtoclnt-rh (705 bytes, patch)
2002-08-07 14:55 EDT, Jeff Johnson
no flags Details | Diff

  None (edit)
Description Andras Porjesz 2002-08-06 08:51:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0; T312461)

Description of problem:
I have a package installed on RH 6.0 without error.
Now I want to install the same package on RH 7.2, without success.
rpm2cpio works, the result can be unpacked with cpio without error

Version-Release number of selected component (if applicable):
rpm 4.0.3 and 4.0.4-7x tried

How reproducible:

Steps to Reproduce:
1. rpm -i --nodeps <package>

Actual Results:  Error message

Additional info:

The package itself is the Legato Networker Client software for RH 5.2.1
This is a severe error, we are unable to save / backup more than 20 GB 
Comment 1 Jeff Johnson 2002-08-06 09:34:33 EDT
Hmmm, that's a really old package, and was
probably produced by a buggy version of

If you supply a URL to the package, I'll
verify what the problem is. Perhaps I can fix,
but maintaining a lot of weird and untestable
hacks in the current rpm sources to work
around bugs in early versions of rpm isn't
high on my priority list.

The simplest thing to do is to extract
all the bits and repackage with a current
version of rpm using rpm2cpio. That's a better
solution than always installing with --nodeps
as well.
Comment 2 Andras Porjesz 2002-08-07 05:35:58 EDT

This is an official CD from Legato - I have no URL.
It is installed on a "lot of" Linux (RH 5.x, RH 6.x) without error.
--nodeps needed because the package depends on libncurses.3.0 - which is 

The package is sent by email to jbj@redhat.com
Comment 3 Jeff Johnson 2002-08-07 14:55:56 EDT
Created attachment 69326 [details]
Patch to cpioStrCmp() in lib/fsm.c to handle lgtoclnt-rh
Comment 4 Jeff Johnson 2002-08-07 14:58:10 EDT
OK, that package has only the last component
of the file path in the cpio headers.

Attached is a patch for rpm to fix, but you'll have to
build a custom version of rpm with the patch
enabled. I cannot do this by default as the
patch might open a window for trojaned package

The right thing to do is repackage the executables
for the lgtoclnt, possibly including the ncurses
libraray from Red Hat 5.1.
Comment 5 Pekka Savola 2002-08-12 04:34:22 EDT
jbj, this is a duplicate of #49688.

If you want re-built Legato RPM packages, I made them a year ago, send mail.

Note You need to log in before you can comment on or make changes to this bug.